/* DEFINES.H  For MTCHPLAY */

#define MAXFL   10         /* maximum number of flights */
#define MAXSZ   24         /* maximum size of any flight */

#define S_BOGEY  1         /* Stableford bonus points ... */
#define S_PAR    2
#define S_BIRDIE 3
#define S_EAGLE  3

#define MIN(x,y)  ((x)<(y)?(x):(y))

#define ESC      27
#define CR       13
#define UP      -72
#define DN      -80
#define RT      -77
#define LF      -75
#define PgUp    -73
#define PgDn    -81
#define END     -79

typedef struct {
  char name[21];
  short hcp;
  char scores[25];
  short won,tied,lost;
  short gross,net;
  short points;          /* Stableford points */
} PLAYER;

